Page MenuHomePhabricator

Loading Edit Counter in new XTools triggers PUT error
Closed, ResolvedPublic1 Story Points

Description

Load http://xtools.wmflabs.org/ec and take a look at the network traffic in the console. You'll see a PUT request for:
http://xtools.wmflabs.org/api/usage/ec/en.wikipedia.org/OZCzlWmjAUSPy5pc42pGn4_uqYhR76FMwugF-n8jrUg
Which gives a 500 Internal Server Error.

Event Timeline

kaldari created this task.Jul 10 2017, 6:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2017, 6:54 AM
kaldari triaged this task as Normal priority.Jul 10 2017, 6:54 AM
kaldari set the point value for this task to 1.

It looks like the error is:

[2017-07-10 07:06:11] request.CRITICAL: Uncaught PHP Exception Doctrine\DBAL\Exception\DriverException: "An exception occured in driver: SQLSTATE[HY000] [2003] Can't connect to MySQL server on '127.0.0.1' (111)" at /var/www/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/AbstractMySQLDriver.php line 115 {"exception":"[object] (Doctrine\\DBAL\\Exception\\DriverException(code: 0): An exception occured in driver: SQLSTATE[HY000] [2003] Can't connect to MySQL server on '127.0.0.1' (111) at /var/www/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/AbstractMySQLDriver.php:115, Doctrine\\DBAL\\Driver\\PDOException(code: 2003): SQLSTATE[HY000] [2003] Can't connect to MySQL server on '127.0.0.1' (111) at /var/www/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:47, PDOException(code: 2003): SQLSTATE[HY000] [2003] Can't connect to MySQL server on '127.0.0.1' (111) at /var/www/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:43)"} []

This is because it's not yet set up with its own database for recording hits, and is still pointing to a non-existant localhost MySQL server.

@MusikAnimal I think you were working on this? Something about having separate databases for new and old xtools? Maybe you already fixed it (probably!) and Composer clobbered the DB config at some point? (Sorry! Probably my fault, if it did.)

MusikAnimal added a comment.EditedJul 10 2017, 5:58 PM

This is because it's not yet set up with its own database for recording hits, and is still pointing to a non-existant localhost MySQL server.

@MusikAnimal I think you were working on this? Something about having separate databases for new and old xtools? Maybe you already fixed it (probably!) and Composer clobbered the DB config at some point? (Sorry! Probably my fault, if it did.)

Yep. I haven't gotten around to fixing it because we're going to change prod servers soon. For more on that see T169590#3422038

Okay, new prod server is recording hits correctly now: https://xtools.wmflabs.org/meta

kaldari closed this task as Resolved.Jul 11 2017, 5:02 PM
kaldari claimed this task.
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Jul 18 2017, 10:44 PM
MusikAnimal moved this task from Inbox to Complete on the XTools board.Jul 21 2017, 12:06 AM